From 25c226f52b7d9c77ac54216d39ddbac1e452193a Mon Sep 17 00:00:00 2001
From: Ryan Brue <ryanbrue@hotmail.com>
Date: Mar 27 2024 04:40:28 +0000
Subject: [PATCH 50/220] s


---

diff --git a/rpms/cosmic-bg/cosmic-bg.spec b/rpms/cosmic-bg/cosmic-bg.spec
index 18ba1e0..425450b 100644
--- a/rpms/cosmic-bg/cosmic-bg.spec
+++ b/rpms/cosmic-bg/cosmic-bg.spec
@@ -50,11 +50,13 @@ cat .cargo/config
 %install
 just rootdir=%{buildroot} prefix=%{_prefix} install
 
+%if %{with check}
+%check
+%cargo_test
+%endif
+
 %files
-%license LICENSE.md
-%license LICENSE.dependencies
-%license cargo-vendor.txt
-%doc README.md
+
 %{_bindir}/cosmic-bg
 %{_datadir}/applications/com.system76.CosmicBackground.desktop
 %{_datadir}/icons/hicolor/scalable/apps/com.system76.CosmicBackground.svg

